org.eclipse.emf.compare.rcp.ui.mergeviewer.item

## Interface IMergeViewerItem.Container

All Superinterfaces:
  Adapter, IMergeViewerItem

All Known Implementing Classes:
  MergeViewerItem.Container, ResourceAttachmentChangeMergeViewerItem

Enclosing interface:
  IMergeViewerItem

Deprecated.
IMergeViewerItem.Container is no longer needed since its functionality is now provided by `IMergeViewerItemContentProvider`. Use an `IMergeViewerItem` instead.

    @Deprecated
    public static interface IMergeViewerItem.Container
    extends IMergeViewerItem

An IMergeViewerItem.Container knows its children.

Since:
  4.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`IMergeViewerItem.Container`

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`IS_INSERTION_POINT`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IMergeViewerItem[]` `getChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> predicate)` Deprecated. Returns the children of this container.
`boolean` `hasChildren(IDifferenceGroupProvider group, com.google.common.base.Predicate<? super EObject> predicate)` Deprecated. Returns whether this container has at least one child.

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.item.IMergeViewerItem

`getAncestor, getDiff, getLeft, getParent, getRight, getSide, getSideValue, isInsertionPoint`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Method Detail

#### hasChildren

    boolean hasChildren(IDifferenceGroupProvider group,
                        com.google.common.base.Predicate<? super EObject> predicate)

Deprecated.
Returns whether this container has at least one child. In some cases this methods avoids having to call the potential more costly `getChildren` method.

Parameters:
  `group` - the active group provider.
  `predicate` - the active predicate.
Returns:
  `true` if this container has at least one child

#### getChildren

    IMergeViewerItem[] getChildren(IDifferenceGroupProvider group,
                                   com.google.common.base.Predicate<? super EObject> predicate)

Deprecated.
Returns the children of this container. If this container has no children an empty array is returned (not `null`).

Parameters:
  `group` - the active group provider.
  `predicate` - the active predicate.
Returns:
  the children of this container as an array